Part Tube
|
Menu location |
---|
Part → Primitives → Create tube |
Workbenches |
Part |
Default shortcut |
None |
Introduced in version |
0.19 |
See also |
Part Primitives |
Description
The Part Tube command creates a parametric tube solid. In the coordinate system defined by its DataPlacement property, the bottom face of the tube lies on the XY plane with its center at the origin.
Usage
Create
- There are several ways to invoke the command:
- Press the
Create tube button.
- Select the Part → Primitives →
Create tube option from the menu.
- Press the
- The Tube task panel opens and a preview of the tube is displayed in the 3D view.
- Specify the dimensions.
- The preview is dynamically updated.
- Press the OK button.
- The tube is created.
- Optionally change the DataPlacement of the tube in the Property editor, or with the
Std TransformManip command.
Edit
- Double-click the tube in the Tree view
- The Tube task panel opens.
- Change one or more dimensions.
- The tube is dynamically updated in the 3D view.
- Press the OK button.
Example

A Part Tube object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Tube object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Tube
- DataHeight (
Length
): The height of the tube. The default is10mm
. - DataInner Radius (
Length
): The inner radius of the tube. Must be smaller than DataOuter Radius. Can be0
. The default is2mm
. - DataOuter Radius (
Length
): The outer radius of the tube. Must be larger than DataInner Radius. The default is5mm
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Tube can be created with the addTube()
method (introduced in version 0.20) of the Shapes module:
tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
- Where
"myTube"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
from BasicShapes import Shapes
doc = App.activeDocument()
tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub